OrganizationsResource

Manages organizations through the slim API.

  • Stable unknown
  • Release candidate since 0.1.0-rc.4
  • Development since 0.1.0-dev.24+fa54770
public final class OrganizationsResource

Manages organizations through the slim API. Get it from SlimResource.organizations().

Methods

retrieve

public JsonNode retrieve(String id, RequestOptions options) throws IOException, InterruptedException

Gets one organization (GET /v1/slim/organization/{id}).

Parameters:

  • id: the organization ID
  • options: per-request options, such as the timeout

Returns: the response body

Throws:

  • IOException: if the request cannot be sent or the response cannot be read
  • InterruptedException: if the thread is interrupted while waiting for the response

create

public JsonNode create(Object body, RequestOptions options) throws IOException, InterruptedException

Creates an organization (POST /v1/slim/organization).

Parameters:

  • body: the organization to create
  • options: per-request options, such as the timeout

Returns: the response body

Throws:

  • IOException: if the request cannot be sent or the response cannot be read
  • InterruptedException: if the thread is interrupted while waiting for the response

update

public JsonNode update(
        String id,
        Object body,
        RequestOptions options) throws IOException, InterruptedException

Replaces an organization (PUT /v1/slim/organization/{id}).

Parameters:

  • id: the organization ID
  • body: the full organization
  • options: per-request options, such as the timeout

Returns: the response body

Throws:

  • IOException: if the request cannot be sent or the response cannot be read
  • InterruptedException: if the thread is interrupted while waiting for the response

delete

public void delete(String id, RequestOptions options) throws IOException, InterruptedException

Deletes an organization (DELETE /v1/slim/organization/{id}).

Parameters:

  • id: the organization ID
  • options: per-request options, such as the timeout

Throws:

  • IOException: if the request cannot be sent or the response cannot be read
  • InterruptedException: if the thread is interrupted while waiting for the response

Last updated on

On this page